Index: trunk/phase3/maintenance/dev/install.sh |
— | — | @@ -3,6 +3,6 @@ |
4 | 4 | if [[ "x$BASH_SOURCE" == "x" ]]; then echo '$BASH_SOURCE not set'; exit 1; fi |
5 | 5 | DEV=$(cd -P "$(dirname "${BASH_SOURCE[0]}" )" && pwd) |
6 | 6 | |
7 | | -$DEV/installphp.sh |
8 | | -$DEV/installmw.sh |
9 | | -$DEV/start.sh |
| 7 | +"$DEV/installphp.sh" |
| 8 | +"$DEV/installmw.sh" |
| 9 | +"$DEV/start.sh" |
Index: trunk/phase3/maintenance/dev/installmw.sh |
— | — | @@ -7,10 +7,10 @@ |
8 | 8 | |
9 | 9 | PORT=4881 |
10 | 10 | |
11 | | -cd $DEV/../../; # $IP |
| 11 | +cd "$DEV/../../"; # $IP |
12 | 12 | |
13 | | -mkdir $DEV/data |
14 | | -$DEV/php/bin/php maintenance/install.php --server="http://localhost:$PORT" --scriptpath="" --dbtype=sqlite --dbpath=$DEV/data --pass=admin "Trunk Test" $USER |
| 13 | +mkdir "$DEV/data" |
| 14 | +"$DEV/php/bin/php" maintenance/install.php --server="http://localhost:$PORT" --scriptpath="" --dbtype=sqlite --dbpath="$DEV/data" --pass=admin "Trunk Test" "$USER" |
15 | 15 | echo "" |
16 | 16 | echo "Development wiki created with admin user $USER and password 'admin'." |
17 | 17 | echo "" |
Index: trunk/phase3/maintenance/dev/start.sh |
— | — | @@ -8,5 +8,5 @@ |
9 | 9 | echo "Starting up MediaWiki at http://localhost:$PORT/" |
10 | 10 | echo "" |
11 | 11 | |
12 | | -cd $DEV/../../; # $IP |
13 | | -$DEV/php/bin/php -S localhost:$PORT |
| 12 | +cd "$DEV/../../"; # $IP |
| 13 | +"$DEV/php/bin/php" -S "localhost:$PORT" |
Index: trunk/phase3/maintenance/dev/installphp.sh |
— | — | @@ -5,25 +5,25 @@ |
6 | 6 | |
7 | 7 | set -e # DO NOT USE PIPES unless this is rewritten |
8 | 8 | |
9 | | -if [ -d $DEV/php ]; then |
| 9 | +if [ -d "$DEV/php" ]; then |
10 | 10 | echo "PHP is already installed" |
11 | 11 | exit 1 |
12 | 12 | fi |
13 | 13 | |
14 | 14 | TAR=php5.4-latest.tar.gz |
15 | | -PHPURL=http://snaps.php.net/$TAR |
| 15 | +PHPURL="http://snaps.php.net/$TAR" |
16 | 16 | |
17 | | -cd $DEV |
| 17 | +cd "$DEV" |
18 | 18 | |
19 | 19 | # Some debain-like systems bundle wget but not curl, some other systems |
20 | 20 | # like os x bundle curl but not wget... use whatever is available |
21 | 21 | echo -n "Downloading PHP 5.4" |
22 | 22 | if command -v wget &>/dev/null; then |
23 | 23 | echo "- using wget" |
24 | | - wget $PHPURL |
| 24 | + wget "$PHPURL" |
25 | 25 | elif command -v curl &>/dev/null; then |
26 | 26 | echo "- using curl" |
27 | | - curl -O $PHPURL |
| 27 | + curl -O "$PHPURL" |
28 | 28 | else |
29 | 29 | echo "- aborting" |
30 | 30 | echo "Could not find curl or wget." >&2; |
— | — | @@ -31,11 +31,11 @@ |
32 | 32 | fi |
33 | 33 | |
34 | 34 | echo "Extracting php 5.4" |
35 | | -tar -xzf $TAR |
| 35 | +tar -xzf "$TAR" |
36 | 36 | |
37 | 37 | cd php5.4-*/ |
38 | 38 | |
39 | | -echo "Configuring and installing php 5.4 in $IP/maintenance/dev/php/" |
40 | | -./configure --prefix=$DEV/php/ |
| 39 | +echo "Configuring and installing php 5.4 in \$IP/maintenance/dev/php/" |
| 40 | +./configure --prefix="$DEV/php/" |
41 | 41 | make |
42 | 42 | make install |